Security Enhanced Linux Reference Policy

# Layer: services

## Module: lpd

Tunables Interfaces Templates

### Description:

Line printer daemon

### Tunables:

use_lpd_server

##### Default value

false

##### Description

Use lpd server instead of cups

Return

### Interfaces:

lpd_domtrans_checkpc( domain )

##### Summary

Execute lpd in the lpd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lpd_exec_lpr( domain )

##### Summary

Allow the specified domain to execute lpr in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lpd_list_spool( domain )

##### Summary

List the contents of the printer spool directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lpd_manage_spool( domain )

##### Summary

Create, read, write, and delete printer spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lpd_read_config( domain )

##### Summary

List the contents of the printer spool directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lpd_read_spool( domain )

##### Summary

Read the printer spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lpd_relabel_spool( domain )

##### Summary

Relabel from and to the spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lpd_role( role , domain )

##### Summary

Role access for lpd

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access
domain | User domain for the role

lpd_run_checkpc( domain , role )

##### Summary

Execute amrecover in the lpd domain, and allow the specified role the lpd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the lpd domain.

Return

### Templates:

lpd_domtrans_lpr( domain )

##### Summary

Transition to a user lpr domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return